estimator_sync_pulse_c.h File Reference
`#include <gnuradio/tagged_stream_block.h>`
`#include <radar/api.h>`

Go to the source code of this file.

## Classes

class | gr::radar::estimator_sync_pulse_c

This block can be used to estimate the shift of a signal on input 1 in relation to another on input 2. For example the constant number of delay samples due to hardware effect from a signal source can be estimated. The calculation of the shift is done by a cross correlation of the input signals. The number of correlations in samples is given with num_xcorr. The output message is the number of delay samples with the identifier (symbol) 'sync_pulse'. This can be displayed with the 'Print Results' block. More...

## Namespaces

namespace | gr
namespace | gr::radar